/***************************************************************************
      kdbconfig.h  -  Build system configuration

                           -------------------
    begin                : Apr 22 2010
    copyright            : (C) 2010 by Markus Raab
    email                : elektra@markus-raab.org
 ***************************************************************************/


/***************************************************************************
 *                                                                         *
 * This header file is AUTO GENERATED.                                     *
 * Do not edit this file, otherwise your changes will be discarded in the  *
 * next cmake run.                                                         *
 *                                                                         *
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the BSD License (revised).                      *
 *                                                                         *
 ***************************************************************************/

#ifndef KDBCONFIG_H
#define KDBCONFIG_H

/**Below this directory the system configuration (system/) will be searched.*/
#define KDB_DB_SYSTEM            "/etc/kdb"

/** Depending on the resolver this might be the
  * postfix to search for user configuration. */
#define KDB_DB_USER              ".kdb"

/** Depending on the resolver this might be the root 
  * to search for user configuration. */
#define KDB_DB_HOME              "/home"

/** Declares a parameter as unused. */
#define ELEKTRA_UNUSED           __attribute__ ((unused))

/** Declares an API as deprecated. */
#define ELEKTRA_DEPRECATED       __attribute__ ((deprecated))

#define BUILTIN_EXEC_FOLDER      "/usr/lib/elektra/tool_exec"

#define BUILTIN_DATA_FOLDER      "/usr/share/elektra/test_data"

#define SIZEOF_INT               4
#define SIZEOF_LONG              4
#define SIZEOF_MODE_T            4

#define HAVE_SIZEOF_LONG_LONG
#ifdef HAVE_SIZEOF_LONG_LONG
# define SIZEOF_LONG_LONG         8
#endif

#define HAVE_SIZEOF_LONG_DOUBLE
#ifdef HAVE_SIZEOF_LONG_DOUBLE
# define SIZEOF_LONG_DOUBLE       8
#endif

/* disable debug output messages */
#define DEBUG 0

#ifndef DEBUG
# define NDEBUG
#endif

/* disable verbose output messages */
#define VERBOSE 0

/* Define to 1 if you have the `clearenv' function. */
#define HAVE_CLEARENV 1

/* Define to 1 if you have the <ctype.h> header file. */
#define HAVE_CTYPE_H 1

/* Define to 1 if you have the <errno.h> header file. */
#define HAVE_ERRNO_H 1

/* Define to 1 if you have the <locale.h> header file. */
#define HAVE_LOCALE_H 1

/* Define to 1 if you have the `setenv' function. */
#define HAVE_SETENV 1

/* Define to 1 if you have the <stdio.h> header file. */
#define HAVE_STDIO_H 1

/* Define to 1 if you have the <stdlib.h> header file. */
#define HAVE_STDLIB_H 1

/* Define to 1 if you have the <string.h> header file. */
#define HAVE_STRING_H 1

/* Define to 1 if you have the <time.h> header file. */
#define HAVE_TIME_H 1

/* Define to 1 if you have the <unistd.h> header file. */
#define HAVE_UNISTD_H 1

#endif
